Bug 1263227 - Review Request: python-os-brick - OpenStack Cinder brick library for managing local volume attaches
Review Request: python-os-brick - OpenStack Cinder brick library for managing...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Haïkel Guémar
Fedora Extras Quality Assurance
:
Depends On:
Blocks: RDO-LIBERTY-REVIEWS
  Show dependency treegraph
 
Reported: 2015-09-15 07:25 EDT by Javier Peña
Modified: 2015-10-02 14:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-02 14:02:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
karlthered: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Javier Peña 2015-09-15 07:25:40 EDT
Spec URL: https://jpena.fedorapeople.org/python-os-brick/python-os-brick.spec
SRPM URL: https://jpena.fedorapeople.org/python-os-brick/python-os-brick-0.4.0-1.fc24.src.rpm
Description: OpenStack Cinder brick library for managing local volume attaches
Fedora Account System Username: jpena

Plesae note the current spec has some requirements that are not yet met in Rawhide, such as python-oslo-service (currently under review) and the python3 subpackages for oslo-log and oslo-concurrency.
Comment 1 Javier Peña 2015-09-15 08:52:35 EDT
Koji scratch build available at http://koji.fedoraproject.org/koji/taskinfo?taskID=11093080
Comment 2 hguemar 2015-09-30 08:10:21 EDT
* please disable python3 subpackage, missing runtime deps (the same as commented BR)
* %{_datarootdir}/%{name} is unowned.
* add min requirements for requests (will break on EL7) and you may want to do the same for oslo libs.
Comment 3 Upstream Release Monitoring 2015-09-30 09:43:11 EDT
jpena's scratch build of python-os-brick-0.5.0-1.fc24.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11277403
Comment 4 Javier Peña 2015-09-30 10:10:58 EDT
Thanks for the comments Haïkel. I've uploaded an updated version, which also bumps version to upstream 0.5.0:

SPEC: https://jpena.fedorapeople.org/python-os-brick/python-os-brick.spec
SRPM: https://jpena.fedorapeople.org/python-os-brick/python-os-brick-0.5.0-1.fc24.src.rpm
Comment 5 Javier Peña 2015-09-30 10:11:23 EDT
The latest Koji scratch build is http://koji.fedoraproject.org/koji/taskinfo?taskID=11277784
Comment 6 Haïkel Guémar 2015-10-01 04:40:20 EDT
I hereby approve this package into Fedora Packages Collection, please submit a SCM request.



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated", "*No copyright* Apache
     (v2.0)". 1 files have unknown license. Detailed output of licensecheck
     in /home/haikel/1263227-python-os-brick/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 368640 bytes in 51 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-os-brick-0.5.0-1.fc24.noarch.rpm
          python-os-brick-0.5.0-1.fc24.src.rpm
python2-os-brick.noarch: W: file-not-utf8 /usr/share/doc/python2-os-brick/html/objects.inv
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
python2-os-brick.noarch: W: file-not-utf8 /usr/share/doc/python2-os-brick/html/objects.inv
1 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
python2-os-brick (rpmlib, GLIBC filtered):
    python(abi)
    python-babel
    python-oslo-concurrency
    python-oslo-i18n
    python-oslo-log
    python-oslo-serialization
    python-oslo-service
    python-oslo-utils
    python-requests
    python-retrying
    python-six



Provides
--------
python2-os-brick:
    os-brick
    python-os-brick
    python2-os-brick



Source checksums
----------------
https://pypi.python.org/packages/source/o/os-brick/os-brick-0.5.0.tar.gz :
  CHECKSUM(SHA256) this package     : a63e761c74ecd0214ea5dad67cefb1e9b67bac74706ccd3338443505cbf405e0
  CHECKSUM(SHA256) upstream package : a63e761c74ecd0214ea5dad67cefb1e9b67bac74706ccd3338443505cbf405e0


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1263227 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 7 Javier Peña 2015-10-01 04:47:32 EDT
New Package SCM Request
=======================
Package Name:  python-os-brick
Short Description: OpenStack Cinder brick library for managing local volume attaches
Upstream URL: http://www.openstack.org/
Owners: jpena apevec jruzicka
Branches: f22 f23 epel7
InitialCC:
Comment 8 Gwyn Ciesla 2015-10-01 09:00:08 EDT
Git done (by process-git-requests).
Comment 9 Javier Peña 2015-10-02 14:02:53 EDT
Package is now in Rawhide, closing.

Note You need to log in before you can comment on or make changes to this bug.